/******************************************************************************
 *            g_barre_outils.h                                                *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

#include "g_barre_outils.h"

GtkWidget *
creation_barreoutils (GtkWidget * fenetre_principale)
{
  GtkWidget *barre_outils;
  GtkToolItem *item;
  GtkToolItem *item_nouveau;
  GtkToolItem *item_ouvrir;
	GtkToolItem *item_sauver;
  GtkToolItem *item_inversion_echiquier;
	GtkToolItem *item_coup_jouable;
	GtkToolItem *item_annul_dernier_coup;
  gchar *label;
  gchar *tmp;
  GtkTooltips *tooltips;

  barre_outils = gtk_toolbar_new ();
  tooltips = gtk_tooltips_new ();
  // Bouton quitter
  item = gtk_tool_button_new_from_stock (GTK_STOCK_QUIT);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item), tooltips,
			     "Quitter l'application", NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item, -1);
  g_signal_connect (G_OBJECT (item), "clicked", (GCallback) g_quitter, NULL);

  // Bouton nouvelle partie
  item_nouveau = gtk_tool_button_new_from_stock (GTK_STOCK_NEW);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_nouveau), tooltips,
			     "Initialise le jeu pour une nouvelle partie",
			     NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_nouveau, -1);
  g_signal_connect (G_OBJECT (item_nouveau), "clicked",
		    (GCallback) g_nouvelle_partie, NULL);

  // Bouton Charger une partie
  item_ouvrir = gtk_tool_button_new_from_stock (GTK_STOCK_OPEN);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_ouvrir), tooltips,
			     "Charge une partie à partir d'un fichier",
			     NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_ouvrir, -1);
  g_signal_connect (G_OBJECT (item_ouvrir), "clicked",
		    (GCallback) g_charger_partie, NULL);

  // Bouton Sauver une partie
  item_sauver = gtk_tool_button_new_from_stock (GTK_STOCK_SAVE);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_sauver), tooltips,
			     "Sauvegarde la partie en cours", NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_sauver, -1);
  g_signal_connect (G_OBJECT (item_sauver), "clicked",
		    (GCallback) g_enregistrement_partie_pgn, NULL);

  if ((partie_en_cours == FALSE)
      || (partie_en_cours == TRUE && partie_enregistree == TRUE))
    {
      gtk_widget_set_sensitive (GTK_WIDGET (item_sauver), FALSE);
    }

  // Bouton afficher les coups jouables
	tmp=g_key_file_get_string(key_file_config, "DIRECTORY", "install", NULL);
	if (strcmp(tmp, "/usr/bin")==0)
	{
		g_free(tmp);
		tmp=g_strdup("/usr/share/linechec/pixmaps");
	}
	else
	{
		g_free(tmp);
		tmp=g_strdup_printf("%s/pixmaps",g_key_file_get_string(key_file_config,
																							"DIRECTORY", "install", NULL));
	}

  item_coup_jouable = gtk_toggle_tool_button_new ();
	widget_list=gtk_data_list_add_by_name(widget_list, item_coup_jouable,
																													"item coup jouable");
  gtk_tool_button_set_label (GTK_TOOL_BUTTON (item_coup_jouable),
			     "Montrer coups jouables");
  label = g_strdup_printf ("%s/icone_coup_jouable.png", tmp);
  gtk_tool_button_set_icon_widget (GTK_TOOL_BUTTON (item_coup_jouable),
				   gtk_image_new_from_file_with_size (label, 20, 20));
  g_free (label);
  g_free (tmp);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_coup_jouable), tooltips,
			     "Affiche les coups jouables de la pièce sélectionnée",
			     NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_coup_jouable, -1);
  g_signal_connect (G_OBJECT (item_coup_jouable), "clicked",
		    (GCallback) g_afficher_coups_jouables, NULL);

  // Bouton inverser l'échiquier
  item_inversion_echiquier =
    gtk_tool_button_new_from_stock (GTK_STOCK_REFRESH);
  gtk_tool_button_set_label (GTK_TOOL_BUTTON (item_inversion_echiquier),
			     "Inverser echiquier");
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_inversion_echiquier),
			     tooltips, "Inverse l'échiquier", NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_inversion_echiquier,
		      -1);
  g_signal_connect (G_OBJECT (item_inversion_echiquier), "clicked",
		    (GCallback) inversion_echiquier, NULL);

  // Bouton annuler le dernier coup
  item_annul_dernier_coup = gtk_tool_button_new_from_stock (GTK_STOCK_UNDO);
  gtk_tool_button_set_label (GTK_TOOL_BUTTON (item_annul_dernier_coup),
			     "Annuler coup");
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item_annul_dernier_coup),
			     tooltips, "Annule le dernier coup joué", NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item_annul_dernier_coup,
		      -1);
  g_signal_connect (G_OBJECT (item_annul_dernier_coup), "clicked",
		    (GCallback) annuler_dernier_coup, NULL);
  gtk_widget_set_sensitive (GTK_WIDGET (item_annul_dernier_coup), FALSE);

  // Bouton afficher l'aide
  item = gtk_tool_button_new_from_stock (GTK_STOCK_HELP);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item), tooltips,
			     "Aide à l'utilisation de Linechec ( pas encore implantée )",
			     NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item, -1);
  gtk_widget_set_sensitive (GTK_WIDGET (item), FALSE);

  // Bouton afficher à propos.
  item = gtk_tool_button_new_from_stock (GTK_STOCK_ABOUT);
  gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (item), tooltips,
			     "A propos de ...", NULL);
  gtk_toolbar_insert (GTK_TOOLBAR (barre_outils), item, -1);
  g_signal_connect (G_OBJECT (item), "clicked", (GCallback) g_a_propos, NULL);

  return barre_outils;
}
